Skip to main content
GET
Get payout
This endpoint requires the payouts.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payout_id
string
required

The ID for the payout to get the information for.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

Response

Returns a payout.

type
enum<string>

The type of this resource. Is always payout.

Available options:
payout
Example:

"payout"

id
string<uuid>

The ID of a payout.

Example:

"8d3fe99b-1422-42e6-bbb3-932d95ae5f79"

merchant_account_id
string | null

The optional ID of the merchant account this payout should be assigned to.

Maximum string length: 22
Example:

"default"

amount
integer

The monetary amount for this payout, in the smallest currency unit for the given currency, for example 1299 cents to create an authorization for $12.99.

Example:

1299

currency
string

A supported ISO-4217 currency code.

Example:

"USD"

created_at
string<date-time>

The date and time when this payout was created.

Example:

"2022-01-01T12:00:00+00:00"

updated_at
string<date-time>

The date and time when this payout was created.

Example:

"2022-01-01T12:00:00+00:00"

payment_service
A payment service · object

The payment service used for this payout.

payment_service_payout_id
string | null

The ID of the payout in the underlying payment service.

Example:

"example"

category
enum<string>

The type of payout to process.

Available options:
online_gambling
Example:

"online_gambling"

status
enum<string>

The status of the payout.

Available options:
pending,
failed,
declined,
succeeded
Example:

"pending"

external_identifier
string | null

An external identifier that can be used to match the payout against your own records. This value needs to be unique for all buyers.

Required string length: 1 - 200
Example:

"user-789123"

merchant
Merchant · object | null

The merchant details associated to this payout.

buyer
Buyer (Snapshot) · object

The buyer used for this transaction.

payment_method
Payment method (Snapshot) · object

The payment method used for this payout.